Skip to main content
GET
/
v1
/
admin
/
platforms
List all platforms
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.keystoneos.xyz/v1/admin/platforms', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "auth0_org_id": "<string>",
      "name": "<string>",
      "slug": "<string>",
      "status": "<string>",
      "logo_url": "<string>",
      "support_email": "<string>",
      "support_url": "<string>",
      "onboarding_completed_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "environment_count": 0
    }
  ],
  "total": 123,
  "limit": 123,
  "offset": 123
}

Authorizations

Authorization
string
header
required

Auth0 JWT access token. See Authentication for details.

Query Parameters

status
string | null
search
string | null
limit
integer
default:50
Required range: 1 <= x <= 100
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

items
AdminPlatformRead · object[]
required
total
integer
required
limit
integer
required
offset
integer
required